GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
gtpin::GtKernelDispatchL0Runtime Struct Reference
Kernel Dispatching

Level-Zero runtime information associated with the kernel instance dispatched for execution. More...

`#include <gt_gpu_defs.h>`

## Public Member Functions
std::string | ToString (const std::string &separator=" ") const
| Return string representation.
## Data Fields
GtL0Kernel | kernel
| Handle to the kernel object in Level-Zero.
GtL0Program | program
| Handle to the Level-Zero program that contains the kernel.
GtL0Context | context
| Level-Zero context, the kernel is created for.
GtL0Device | device
| Level-Zero device, the kernel is build for.

## Detailed Description

Level-Zero runtime information associated with the kernel instance dispatched for execution.

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT